#include "MenuTextPageNext_Player2Joystick.h"

InputSetting_Joystick* MenuTextPageNext_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextPageNext_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_pageNext;
}

std::weak_ptr<Entity> MenuTextPageNext_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextPageNext_Player2Joystick()
{
	return std::make_shared<MenuTextPageNext_Player2Joystick>();
}


